 
{% extends 'base.html.twig' %}
{% block title %}   MODULES /  LES OBJECTIFS{% endblock %}
{% block body %}


    <div class="page-header">
        <h1>
            MODULES 

            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
                LES OBJECTIFS
            </small>
        </h1>
    </div>





    <div class="row">
        <div class="col-sm-2"></div>
        <div class="col-sm-8">
            <div class="alert alert-block alert-success message_flash_success" style="display: none;">

            </div>
            <div class="alert alert-block alert-info message_flash_info" style="display: none;">

            </div>
               <div class="alert alert-block alert-danger message_error" style="display: none;">

    </div>
            <div class="tabbable">
                <ul class="nav nav-tabs padding-12 tab-color-blue background-blue" style="background-color: #333f4f;" id="myTab4">
                    <li class="active">
                        <a data-toggle="tab" href="#home4">Objectif 1</a>
                    </li>

                    <li>
                        <a data-toggle="tab" href="#profile4">Objectif 2</a>
                    </li>

                    <li>
                        <a data-toggle="tab" href="#dropdown14">Objectif 3</a>
                    </li>
                </ul>

                <div class="tab-content">
                    <div id="home4" class="tab-pane in active">

                        <form id="s_objniv1" name="s_objniv1" method="post" class="form-horizontal s_objniv1" novalidate="novalidate" >


                            <div class="form-group">

                                <input type="hidden" id="stage_id" name="stage_id" class="stage_id1" value="{{id}}">
                                <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> <label for="appbundle_s_objniv2_designation" class="required">Designation </label> </label>
                                <div class="col-sm-9">
                                    <input type="text"  name="designation" required="required" class="col-xs-10 col-sm-5  designation1" placeholder="Designation">
                                    <span class="help-inline col-xs-12 col-sm-7">
                                        <span class="middle error_form"></span>
                                    </span>
                                </div>

                            </div>
                            <div class="form-group">


                                <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> <label for="appbundle_s_objniv2_abreviation" class="required">Abreviation</label> </label>
                                <div class="col-sm-9">
                                    <input type="text"  name="abreviation" required="required" class="abreviation1  col-xs-10 col-sm-5" placeholder="Abreviation">
                                    <span class="help-inline col-xs-12 col-sm-7">
                                        <span class="middle error_form"></span>
                                    </span>
                                </div>

                            </div>



                            <div class="clearfix form-actions no-padding-right">
                                <div class="col-md-offset-3 col-md-9">

                                    <button type="submit" id="s_objniv2_save"  name="appbundle_s_objniv2[save]" class="btn btn-sm btn-primary">Créer</button>                            

                                    &nbsp; &nbsp; &nbsp;

                                    <button type="reset" id="s_objniv2_reset" name="appbundle_s_objniv2[reset]" class="btn btn-sm btn-secondary">Réinitialiser</button>
                                </div>
                            </div>

                        </form>






                        <hr/>
                        <div class="row">



                            <table id="grid" class="display  table  table-bordered table-hover" cellspacing="0" width="100%" >
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Designation</th>
                                        <th>Abreviation</th>
                                        <th style="width: 11%;">Sup</th>
                                    </tr>
                                </thead>
                            </table>


                        </div>
                    </div>

                    <div id="profile4" class="tab-pane">




                        <form id="s_objniv2" name="s_objniv2" method="post" class="s_objniv2 form-horizontal" novalidate="novalidate">


                            <div class="form-group">


                                <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> <label for="appbundle_s_objniv2_designation" class="required">Designation </label> </label>
                                <div class="col-sm-9">
                                    <input type="text" name="designation" required="required" class="designation2 col-xs-10 col-sm-5" placeholder="Designation">
                                    <span class="help-inline col-xs-12 col-sm-7">
                                        <span class="middle error_form"></span>
                                    </span>
                                </div>

                            </div>
                            <div class="form-group">


                                <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> <label for="appbundle_s_objniv2_abreviation" class="required">Abreviation</label> </label>
                                <div class="col-sm-9">
                                    <input type="text"  name="abreviation" required="required" class="abreviation2 col-xs-10 col-sm-5" placeholder="Abreviation">
                                    <span class="help-inline col-xs-12 col-sm-7">
                                        <span class="middle error_form"></span>
                                    </span>
                                </div>

                            </div>
                            <div class="form-group">


                                <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> <label for="appbundle_s_objniv2_objNiv1">objectif 1</label> </label>
                                <div class="col-sm-9">
                                    <select  name="objNiv1" class="  col-xs-10 col-sm-5 obj1" data-column ='1'><option value="">choisi </option></select>
                                    <span class="help-inline col-xs-12 col-sm-7">
                                        <span class="middle error_form"></span>
                                    </span>
                                </div>

                            </div>        


                            <div class="clearfix form-actions no-padding-right">
                                <div class="col-md-offset-3 col-md-9">

                                    <button type="submit" id="s_objniv2_save" name="appbundle_s_objniv2[save]" class="btn btn-sm btn-primary">Créer</button>                            

                                    &nbsp; &nbsp; &nbsp;

                                    <button type="reset" id="s_objniv2_reset" name="appbundle_s_objniv2[reset]" class="btn btn-sm btn-secondary">Réinitialiser</button>
                                </div>
                            </div>

                        </form>



                        <hr/>
                        <div class="row">



                            <table id="grid1" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Designation</th>
                                        <th>Abreviation</th> 
                                        <th style="width: 11%;">Sup</th>
                                    </tr>
                                </thead>
                            </table>


                        </div>

                    </div>

                    <div id="dropdown14" class="tab-pane">



                        <form id="s_objniv3" name="s_objniv3" method="post" class="form-horizontal" novalidate="novalidate">


                            <div class="form-group">


                                <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> <label for="s_objniv2_designation" class="required">Designation </label> </label>
                                <div class="col-sm-9">
                                    <input type="text"  name="designation" required="required" class="designation3  col-xs-10 col-sm-5" placeholder="Designation">
                                    <span class="help-inline col-xs-12 col-sm-7">
                                        <span class="middle error_form"></span>
                                    </span>
                                </div>

                            </div>
                            <div class="form-group">


                                <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> <label for="appbundle_s_objniv2_abreviation" class="required">Abreviation</label> </label>
                                <div class="col-sm-9">
                                    <input type="text" name="abreviation" required="required" class="abreviation3 col-xs-10 col-sm-5" placeholder="Abreviation">
                                    <span class="help-inline col-xs-12 col-sm-7">
                                        <span class="middle error_form"></span>
                                    </span>
                                </div>

                            </div>
                            <div class="form-group">


                                <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> <label for="appbundle_s_objniv2_objNiv1">objectif 1</label> </label>
                                <div class="col-sm-9">
                                    <select id="objNiv4" name="objNiv2" class="col-xs-10 col-sm-5 obj3"><option value="">choisi 1</option></select>
                                    <span class="help-inline col-xs-12 col-sm-7">
                                        <span class="middle error_form"></span>
                                    </span>
                                </div>

                            </div>   


                            <div class="form-group">


                                <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> <label for="appbundle_s_objniv2_objNiv1">objectif 2</label> </label>
                                <div class="col-sm-9">
                                    <select  name="objNiv3" class="col-xs-10 col-sm-5 obj4"><option value="">choisi 2</option></select>
                                    <span class="help-inline col-xs-12 col-sm-7">
                                        <span class="middle error_form"></span>
                                    </span>
                                </div>

                            </div> 


                            <div class="clearfix form-actions no-padding-right">
                                <div class="col-md-offset-3 col-md-9">

                                    <button type="submit" id="s_objniv2_save" name="appbundle_s_objniv2[save]" class="btn btn-sm btn-primary">Créer</button>                            

                                    &nbsp; &nbsp; &nbsp;

                                    <button type="reset" id="s_objniv2_reset" name="appbundle_s_objniv2[reset]" class="btn btn-sm btn-secondary">Réinitialiser</button>
                                </div>
                            </div>

                        </form>



                        <hr/>
                        <div class="row">



                            <table id="grid2" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Designation</th>
                                        <th>Abreviation</th>
                                        <th style="width: 11%;">Sup</th>
                                    </tr>
                                </thead>
                            </table>


                        </div>







                    </div>
                </div>
            </div>
        </div> 
    </div><!-- /.col -->




  <div class="modal modal-primary" id="Messageobj">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span></button>
                <h4 class="modal-title"></h4>
            </div>
            <div class="modal-body">
                <p>tout les champs sont obligatoires !!</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-outline pull-left" data-dismiss="modal">Fermer</button>
            </div>
        </div>
    </div>
</div>











{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <!-- /.row -->
    <script type="text/javascript">
        if ('ontouchstart' in document.documentElement)
                document.write("<script src='assets/js/jquery.mobile.custom.min.js'>" + "<" + "/script>");
    </script>





    <script src="{{ asset('assets/js/jquery.raty.min.js') }}"></script>
    <script src="{{ asset('assets/js/wizard.min.js') }}"></script>
    <script src="{{ asset('assets/js/jquery-typeahead.js') }}"></script>   






    <script type="text/javascript">

        $(document).ready(function () {
        $('table.display').DataTable();
        });
        $(window).load(function() {


        $.ajax({
        type: 'GET',
                url: Routing.generate('sstage_obj2', {id:{{id}}}),
                //  data: dta,
                processData: false,
                contentType: false,
                success: function (result) {
                if (result != "error") {



                var parsed = jQuery.parseJSON(result);
                $(".obj1").html(parsed.data);
                $(".obj3").html(parsed.data);
                } else {

                $('.messages_view').removeClass("callout-info").addClass("callout callout-danger").show().html(result);
                }

                }

        });
        // Run code
        });
        jQuery(function ($) {




        //         $('.save').hide();




        $('[data-rel=tooltip]').tooltip();
        $('.select2').css('width', '200px').select2({allowClear: true})
                .on('change', function () {
                $(this).closest('form').validate().element($(this));
                });
        var $validation = false;
        $('#fuelux-wizard-container')
                .ace_wizard({
                //step: 2 //optional argument. wizard will jump to step "2" at first
                //buttons: '.wizard-actions:eq(0)'
                })
                .on('actionclicked.fu.wizard', function (e, info) {
                console.log(info);
                if (info.step == 2) {
                $('.save').show();
                } else {
                $('.save').hide();
                }
                //  e.preventDefault();
                });
        $(document).one('ajaxloadstart.page', function (e) {
        //in ajax mode, remove remaining elements before leaving page
        $('[class*=select2]').remove();
        });
        container1.find('.btn').addClass('btn-white btn-info btn-bold');
        $('.rating').raty({
        'cancel': true,
                'half': true,
                'starType': 'i'

        })










        });
        var dataTable = $('#grid').DataTable({
        "iDisplayLength": 10,
                "lengthMenu": [[10, 15, 25, 50, 100, 200, 20000000], [10, 15, 25, 50, 100, 200, "All"]],
                "order": [[0, "asc"]],
                "columnDefs": [
                {"orderable": false, "targets": 1}
                ],
                "language": {
                "url": "{{asset('assets/js/jquery.dataTablesFrench.json') }}",
                        "processing": true
                },
                "serverSide": false,
                "ajax": {
                type: "get",
                        // data: ,
                        url: Routing.generate('stages_obj1', {id:{{id}} }), // json datasource


                }
        });
        var dataTable1 = $('#grid1').DataTable({
        "iDisplayLength": 10,
                "lengthMenu": [[10, 15, 25, 50, 100, 200, 20000000], [10, 15, 25, 50, 100, 200, "All"]],
                "order": [[0, "asc"]],
                "columnDefs": [
                {"orderable": false, "targets": 1}
                ],
                "language": {
                "url": "{{asset('assets/js/jquery.dataTablesFrench.json') }}",
                        "processing": true
                },
                "serverSide": false,
                "ajax": {
                type: "get",
                        url: Routing.generate('stages_obj2', {id:{{id}}}), // json datasource
                        //data: ,


                }
        });
        var dataTable2 = $('#grid2').DataTable({
        "iDisplayLength": 10,
                "lengthMenu": [[10, 15, 25, 50, 100, 200, 20000000], [10, 15, 25, 50, 100, 200, "All"]],
                "order": [[0, "asc"]],
                "columnDefs": [
                {"orderable": false, "targets": 1}
                ],
                "language": {
                "url": "{{asset('assets/js/jquery.dataTablesFrench.json') }}",
                        "processing": true
                },
                "serverSide": false,
                "ajax": {
                type: "get",
                        url: Routing.generate('stages_obj33', {id:{{id}}}), // json datasource
                        //data: ,


                }
        });
        $('#s_objniv1').submit(function (e) {
        // $('.message_flash').removeClass("callout-success").addClass("callout callout-info").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>");
        $(".message_flash_success").hide();
        $(".message_error").hide();
        {#var dta =  $(this).serialize();
        var des = dta.designation;
           
        var abr = dta.abreviation;
        var id = $('.id_stage');#}

                    //alert();
                    if(jQuery.isEmptyObject($('.designation1').val()) || jQuery.isEmptyObject($('.abreviation1').val())  )
                    {
                        $(".message_error").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i> tout les champs sont obligatoires !!</p>");
                       // $('#Messageobj').modal('show');
                        
                    }else{
                         $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>");
                              $.ajax({
                    type: 'GET',
                            url: Routing.generate('s_stages_obj1', {designation: $('.designation1').val(), abreviation: $('.abreviation1').val(), stage_id: $('.stage_id1').val()}),
                            //  data: dta,
                            processData: false,
                            contentType: false,
                            success: function (result) {
                            if (result != "error") {


                            $("#s_objniv1")[0].reset();
                            var parsed = jQuery.parseJSON(result);
                            $(".obj1").html(parsed.data);
                            $(".message_flash_info").hide();
                            $(".message_flash_success").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i> Ajout de L'objectif 1 est fait avec succée</p>")


                                    dataTable.ajax.reload();
                            } else {

                            $('.messages_view').removeClass("callout-info").addClass("callout callout-danger").show().html(result);
                            }

                            }

                    });
                    }
              
            e.preventDefault();
            });
            $('#s_objniv2').submit(function (e) {
        {#var dta =  $(this).serialize();
        var des = dta.designation;
           
        var abr = dta.abreviation;
        var id = $('.id_stage');#}
            //alert();
            $(".message_flash_success").hide();
             $(".message_error").hide();
             if(jQuery.isEmptyObject($('.designation2').val()) || jQuery.isEmptyObject($('.abreviation2').val())  )
                    {
                        $(".message_error").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i> tout les champs sont obligatoires !!</p>");
                       // $('#Messageobj').modal('show');
                        
                    }else
                    { $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>")
                    $.ajax({
                    type: 'GET',
                            url: Routing.generate('s_stages_obj2', {designation: $('.designation2').val(), abreviation: $('.abreviation2').val(), obj1_id: $('.obj1').val()}),
                            //  data: dta,
                            processData: false,
                            contentType: false,
                            success: function (result) {
                            if (result != "error") {


                            $("#s_objniv2")[0].reset();
                            var parsed = jQuery.parseJSON(result);
                            $(".obj3").html(parsed.data);
                            $(".message_flash_info").hide();
                            $(".message_flash_success").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>Ajout de L'objectif 2 est fait avec succée</p>")

                                    dataTable1.ajax.reload();
                            } else {

                            $('.messages_view').removeClass("callout-info").addClass("callout callout-danger").show().html(result);
                            }

                            }

                      });  
                    }
            
            
            
           
                    
            e.preventDefault();
            });
            $('#s_objniv3').submit(function (e) {
        {#var dta =  $(this).serialize();
        var des = dta.designation;
           
        var abr = dta.abreviation;
        var id = $('.id_stage');#}
            $(".message_flash_success").hide();
           
    if(jQuery.isEmptyObject($('.designation3').val()) || jQuery.isEmptyObject($('.abreviation3').val())|| jQuery.isEmptyObject($('.obj4').val())  )
                    {
                        $(".message_error").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i> tout les champs sont obligatoires !!</p>");
                      //  $('#Messageobj').modal('show');
                        
                    }else
                    {
                          $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>")




                    //alert();
                    $.ajax({
                    type: 'GET',
                            url: Routing.generate('s_stages_obj3', {designation: $('.designation3').val(), abreviation: $('.abreviation3').val(), obj2_id: $('.obj4').val()}),
                            //  data: dta,
                            processData: false,
                            contentType: false,
                            success: function (result) {
                            if (result != "error") {


                            $("#s_objniv3")[0].reset();
                            $(".message_flash_info").hide();
                          //  alert('test');
                            $(".message_flash_success").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>Ajout de L'objectif 3 est fait avec succée</p>")

                                    dataTable2.ajax.reload();
                            } else {

                            $('.messages_view').removeClass("callout-info").addClass("callout callout-danger").show().html(result);
                            }

                            }

                    });
                    }
    
  
            e.preventDefault();
            });
            $('#grid').on('click', '.delete_action1', function (event) {

            //     $('.delete_action').click(function (event) {
            var id = $(this).attr('rel');
            //alert(id);
            bootbox.confirm({
            title: "Confirmation",
                    message: "<h5>Voulez vous vraiment supprimer cet enregistrement !</h5>",
                    buttons: {
                    cancel: {
                    label: '<i class="fa fa-times"></i> Non Merci'
                    },
                            confirm: {
                            label: '<i class="fa fa-check"></i> Oui'
                            }
                    },
                    callback: function (confirmation) {
                    if (confirmation == true) {
                    $(".message_flash_success").hide();
                    $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>");
                    $.ajax({
                    url: Routing.generate('obj1_delete', {id: id}),
                            success: function (result) {
                            var parsed = jQuery.parseJSON(result);
                            $(".message_flash_info").hide();
                            $(".message_flash_success").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>")
                                    dataTable.ajax.reload();
                            }


                    });
                    }
                    }
            });
            event.preventDefault();
            });
            $('#grid1').on('click', '.delete_action2', function (event) {
            //     $('.delete_action').click(function (event) {
            var id = $(this).attr('rel');
            //alert(id);
            bootbox.confirm({
            title: "Confirmation",
                    message: "<h5>Voulez vous vraiment supprimer cet enregistrement !</h5>",
                    buttons: {
                    cancel: {
                    label: '<i class="fa fa-times"></i> Non Merci'
                    },
                            confirm: {
                            label: '<i class="fa fa-check"></i> Oui'
                            }
                    },
                    callback: function (confirmation) {
                    if (confirmation == true) {
                    $(".message_flash_success").hide();
                    $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>");
                    $.ajax({
                    url: Routing.generate('obj2_delete', {id: id}),
                            success: function (result) {
                            var parsed = jQuery.parseJSON(result);
                            $(".message_flash_info").hide();
                            $(".message_flash_success").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>")
                                    dataTable1.ajax.reload();
                            }


                    });
                    }
                    }
            });
            event.preventDefault();
            });
            $('#grid2').on('click', '.delete_action3', function (event) {

            //     $('.delete_action').click(function (event) {
            var id = $(this).attr('rel');
            //alert(id);
            bootbox.confirm({
            title: "Confirmation",
                    message: "<h5>Voulez vous vraiment supprimer cet enregistrement !</h5>",
                    buttons: {
                    cancel: {
                    label: '<i class="fa fa-times"></i> Non Merci'
                    },
                            confirm: {
                            label: '<i class="fa fa-check"></i> Oui'
                            }
                    },
                    callback: function (confirmation) {
                    if (confirmation == true) {
                    $(".message_flash_success").hide();
                    $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>");
                    $.ajax({
                    url: Routing.generate('obj3_delete', {id: id}),
                            success: function (result) {
                            $(".message_flash_info").hide();
                            var parsed = jQuery.parseJSON(result);
                            $(".message_flash_success").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>")
                                    dataTable2.ajax.reload();
                            }


                    });
                    }
                    }
            });
            event.preventDefault();
            });
            $('.obj3').change(function (event) {
            //alert();
            var c = $(this).val()
                    if ($(this).val()) {

            $.ajax({
            url: Routing.generate('sstage_obj3', {id: c}),
                    success: function (result) {
                    //aler(ic);
                    var parsed = jQuery.parseJSON(result);
                    $(".obj4").html(parsed.data);
                    }


            });
            } else {

            $('.obj4').html('<option value="">Choix Objectif Niveau 2</option>');
            }

            event.preventDefault();
            });
            /* $.ajax({
             // type: 'GET',
             url: Routing.generate('s_stage_obj3', {id: $(this).val()}),
             //data: {niv1: $(this).val()},
             success: function (result) {
             var parsed = jQuery.parseJSON(result);
             
             
             
             }
             });*/
    </script>

{% endblock %}